Bug 193221 - ftp client: abort can be done only once
ftp client: abort can be done only once
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ftp (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Ben Levenson
:
Depends On:
Blocks: 234304
  Show dependency treegraph
 
Reported: 2006-05-26 03:05 EDT by Antti
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 07:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antti 2006-05-26 03:05:38 EDT
Description of problem:
You can abort "mput *" only once.

Version-Release number of selected component (if applicable):
RHES 4: ftp-0.17-22

How reproducible:
Follow instructions :)

Steps to Reproduce:
1. Connect to a ftp server 
2. Upload large file with mput * but while transferring press CTRL + C

send aborted
waiting for remote to finish abort
226-File successfully transferred
226 1.237 seconds (measured here), 3.61 Mbytes per second
4689920 bytes sent in 1.2 seconds (3.7e+03 Kbytes/s)
Continue with mput? y
 
3. Upload again with mput * and try to press CRTL+C
=> Not working. You have to wait until file has been transferred or kill the
process manually. This is quite annoying when transferring large files >1Gb
  
Actual results:


Expected results:
File tranfer is always cancelled when you press CTRL+C

Additional info:
Comment 1 Marcela Mašláňová 2006-08-04 02:17:12 EDT
It will be fixed in RHEL5.

Note You need to log in before you can comment on or make changes to this bug.